//   RW Cleaner
// ==============
// Household Domestics: Cleaning Library
// -Part of the RW Foundations suite of libraries

// Filename: ./include/meido/cleaner.hpp
// -Declarations of the baseline RW Cleaner sub-library

#pragma once

#include "incls_all.hpp"

namespace rw::meido {

//------------------------------------------------------------------------------
/**
 */
class Cleaner_b : public RW {
 public:
  Cleaner_b();                                    // default ctor
  explicit Cleaner_b(std::string const& handle);  // tag-parm'd ctor
};

//------------------------------------------------------------------------------
/**
 */
class Cleaner : public Cleaner_b {
 public:
  Cleaner();                                    // default ctor
  explicit Cleaner(std::string const& handle);  // tag-parm'd ctor
};

}  // namespace rw::meido

//    --=^=--

// "______"

// rw_meido_lib.v220319
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
