//   RW Beauty
// ==============
// Aesthetics Appreciation & Creativity Library
// -Part of the RW Foundations suite of libraries

// Filename: ./src/atashi/beauty/beauty.cpp
// -Definitions of the baseline RW Beauty sub-library

#include "incls_all.hpp"

namespace rw::atashi::beauty {

//------------------------------------------------------------------------------
Beauty_b::Beauty_b() : Beauty_b{"beauty_b_obj"} {}

//------------------------------------------------------------------------------
Beauty_b::Beauty_b(std::string const& handle) : RW{handle, Type::Beauty} {
  stamp("Beauty_b()");
}

//------------------------------------------------------------------------------
Beauty::Beauty() : Beauty{"beauty_obj"} {}

//------------------------------------------------------------------------------
Beauty::Beauty(std::string const& handle) : Beauty_b{handle} {
  stamp("Beauty()");

  // preflight();
}

}  // namespace rw::atashi::beauty

//    --=^=--

// "______"

// rw_atashi_lib.v220319
// Copyright (2022)
// License MIT (Expat) https://opensource.org/licenses/MIT
